Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.media.opengl
Interface GLCapabilitiesChooser

All Known Implementing Classes:
  DefaultGLCapabilitiesChooser

public interface GLCapabilitiesChooser

Provides a mechanism by which applications can customize the window type selection for a given `GLCapabilities`. Developers can implement this interface and pass an instance into the appropriate method of `GLDrawableFactory`; the chooser will be called during the OpenGL context creation process.

Method Summary
`int` | `chooseCapabilities(GLCapabilities desired, GLCapabilities[] available, int windowSystemRecommendedChoice)` Chooses the index (0..available.length - 1) of the `GLCapabilities` most closely matching the desired one from the list of all supported.

Method Detail

### chooseCapabilities

    public int chooseCapabilities(GLCapabilities desired,
                                  GLCapabilities[] available,
                                  int windowSystemRecommendedChoice)

  Chooses the index (0..available.length - 1) of the `GLCapabilities` most closely matching the desired one from the list of all supported. Some of the entries in the `available` array may be null; the chooser must ignore these. The windowSystemRecommendedChoice parameter may be provided to the chooser by the underlying window system; if this index is valid, it is recommended, but not necessarily required, that the chooser select that entry.

  Note: this method is called automatically by the `GLDrawableFactory` when an instance of this class is passed in to one of its factory methods. It should generally not be invoked by users directly, unless it is desired to delegate the choice to some other GLCapabilitiesChooser object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2005 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.